## php-mongodb-1-16 1.16.2

=== debian/changelog ===
php-mongodb-1-16 (1.16.2-4+0~20251203.11+debian11~1.gbp240cae) unstable; urgency=medium

  ** SNAPSHOT build @240caeca81b5a08786c18acf30c43c232fab665c **

  * UNRELEASED

 -- Ondřej Surý <ondrej@sury.org>  Wed, 03 Dec 2025 19:02:53 +0100

php-mongodb-1-16 (1.16.2-4) unstable; urgency=medium

  * Revert "Fix prototype matching in case -fpermissive was given"
  * Update Build-Depends to dh-php >= 5.15 to enable -fpermissive only with gcc >= 14

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Nov 2025 07:13:08 +0100

php-mongodb-1-16 (1.16.2-3) unstable; urgency=medium

  * Fix prototype matching in case -fpermissive was given

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Nov 2025 06:38:44 +0100

php-mongodb-1-16 (1.16.2-2) unstable; urgency=medium

  * Bump the version to override packages from src:php-mongodb

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2024 11:01:00 +0200

php-mongodb-1-16 (1.16.2-1) unstable; urgency=medium

  * Split the source package for PHP 7.2 and 7.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 26 Jun 2024 10:23:35 +0200

php-mongodb (1.16.2-1) unstable; urgency=medium

  * New upstream version 1.16.2

 -- Ondřej Surý <ondrej@debian.org>  Sat, 19 Aug 2023 07:28:03 +0200

php-mongodb (1.15.3-1) unstable; urgency=medium

  * New upstream version 1.15.3
  * Finish splitting the source package for PHP 7.2 - PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Mon, 12 Jun 2023 10:08:36 +0200

php-mongodb (1.15.0+1.11.1+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.15.0+1.11.1+1.9.2+1.7.5
  * Regenerate d/control for PHP 8.2

 -- Ondřej Surý <ondrej@debian.org>  Fri, 09 Dec 2022 13:54:38 +0100

php-mongodb (1.14.0+1.11.1+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.14.0+1.11.1+1.9.2+1.7.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Aug 2022 12:39:20 +0200

php-mongodb (1.13.0+1.11.1+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.13.0+1.11.1+1.9.2+1.7.5
   + mongodb 1.7.5 is used for PHP 5.6
   + mongodb 1.9.2 is used for PHP 7.0
   + mongodb 1.11.1 is used for PHP 7.1
   + mongodb 1.13.0 is used for PHP 7.2-8.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 25 Jun 2022 09:41:16 +0200

php-mongodb (1.13.0+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.13.0+1.9.2+1.7.5

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2022 12:44:17 +0200

php-mongodb (1.12.0+1.9.2+1.7.5-4) unstable; urgency=medium

  * Fix the d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Mon, 03 Jan 2022 15:01:28 +0100

php-mongodb (1.12.0+1.9.2+1.7.5-3) unstable; urgency=medium

  * Regenerate d/control for PHP 8.1

 -- Ondřej Surý <ondrej@debian.org>  Sat, 01 Jan 2022 13:09:51 +0100

php-mongodb (1.12.0+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.12.0+1.9.2+1.7.5

 -- Ondřej Surý <ondrej@debian.org>  Fri, 31 Dec 2021 09:32:54 +0100

php-mongodb (1.11.1+1.9.2+1.7.5-4) unstable; urgency=medium

  * Recompile for PHP 7.4 until the transition is complete

 -- Ondřej Surý <ondrej@debian.org>  Fri, 26 Nov 2021 11:25:56 +0100

php-mongodb (1.11.1+1.9.2+1.7.5-3) unstable; urgency=medium

  * Remove unused libpcre3-dev Build-Dependency (Closes: #999997)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 18 Nov 2021 13:27:02 +0100

php-mongodb (1.11.1+1.9.2+1.7.5-2) unstable; urgency=medium

  * Update the packaging to dh-php >= 4~

 -- Ondřej Surý <ondrej@debian.org>  Wed, 10 Nov 2021 12:00:59 +0100

php-mongodb (1.11.1+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.11.1+1.9.2+1.7.5
   + mongodb 1.7.5 is used for PHP 5.6
   + mongodb 1.9.2 is used for PHP 7.0
   + mongodb 1.11.1 is used for PHP 7.1-8.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 09 Nov 2021 12:21:57 +0100

php-mongodb (1.11.0+1.9.2+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.11.0+1.9.2+1.7.5
   + mongodb 1.7.5 is used for PHP 5.6
   + mongodb 1.9.2 is used for PHP 7.0
   + mongodb 1.11.0 is used for PHP 7.1-8.1

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Nov 2021 11:57:29 +0100

php-mongodb (1.11.0+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.11.0+1.7.5 (Closes: #998249)
  * Add libsnappy-dev, libzstd-dev and zlib1g-dev to enable compression in
    libmongoc (GH #1670)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Nov 2021 10:55:22 +0100

php-mongodb (1.10.0+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.10.0+1.7.5

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Aug 2021 09:18:21 +0200

php-mongodb (1.9.0+1.7.5-6) unstable; urgency=medium

  * Bump B-D to dh-php >= 3.1~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 18:07:20 +0100

php-mongodb (1.9.0+1.7.5-5) unstable; urgency=medium

  * Revert arch:all change, as it breaks shlibs:Depends

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 13:21:37 +0100

php-mongodb (1.9.0+1.7.5-4) unstable; urgency=medium

  * The main dummy package is arch:all
  * Bump dh-php Build-Depends to >= 3.0~

 -- Ondřej Surý <ondrej@debian.org>  Sat, 20 Feb 2021 07:50:58 +0100

php-mongodb (1.9.0+1.7.5-3) unstable; urgency=medium

  * Sync the changelog with Debian bullseye
  * Update d/gbp.conf for debian/main branch
  * Update standards version to 4.5.1 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 16 Feb 2021 12:10:52 +0100

php-mongodb (1.9.0+1.7.5-2) unstable; urgency=medium

  * Update d/watch to use https://pecl.php.net
  * Lower the dh-php dependency to Debian sid version
  * Update d/gbp.conf for Debian bullseye

 -- Ondřej Surý <ondrej@debian.org>  Sun, 14 Feb 2021 16:40:23 +0100

php-mongodb (1.9.0+1.7.5-1) unstable; urgency=medium

  * New upstream version 1.9.0+1.7.5
   + Restore PHP 5.6 support via mongodb 1.7.5

 -- Ondřej Surý <ondrej@debian.org>  Wed, 23 Dec 2020 17:55:30 +0100

php-mongodb (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0
   + Adds PHP 8.0 support

 -- Ondřej Surý <ondrej@debian.org>  Mon, 07 Dec 2020 12:43:39 +0100

php-mongodb (1.8.1-2) unstable; urgency=medium


